Page MenuHomePhabricator

Allow users to watch pages on wikimediafoundation.org
Closed, DeclinedPublic

Description

As an active Wikimedian, I would like to be able towatch pages such as
https://wikimediafoundation.org/wiki/Template:Staff_and_contractors
https://wikimediafoundation.org/wiki/Template:Jobvite
etc, so that I can get notified by e-mail of relevant changes.

However, SUL accounts doesn't work on wikimediafoundation.org, and the page
https://wikimediafoundation.org/wiki/Special:UserLogin/signup
is restricted.

Event Timeline

He7d3r created this task.May 3 2015, 6:30 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2015, 6:30 PM
Legoktm set Security to None.
Krenair added a subscriber: Krenair.May 3 2015, 6:33 PM

So you're proposing making foundationwiki not be a fishbowl, and somehow integrating it into our existing CentralAuth setup?

He7d3r added a comment.May 3 2015, 6:35 PM

I don't know how that could be done, but I've wanted to watch pages in that wiki a few times.

To watch pages you need to have a user account. I guess you could open a ticket against MediaWiki asking for the ability to somehow watch without that, but I doubt it'll happen, any time soon at least. The only thing we could even potentially do in Wikimedia-Site-requests is make foundationwiki not a fishbowl (thereby allowing you to have a user account, and starting a new mini SUL-Finalization ), but I doubt that'll happen either.

Ricordisamoa added a subscriber: Ricordisamoa.

As a chronic watcher, this affects me seriously.

Krenair added a subscriber: Reedy.EditedMay 3 2015, 7:12 PM

As @Reedy points out via IRC, even though it's not proper individual page watching, you can use the feeds: https://wikimediafoundation.org/w/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=atom

MaxSem added a subscriber: MaxSem.May 3 2015, 7:16 PM

Umm, use RSS?

Nnemo added a subscriber: Nnemo.May 3 2015, 8:22 PM
He7d3r added a comment.May 4 2015, 1:45 PM

RSS doesn't integrate nicely on the site (I'll not be notified by e-mail for example), and would require more work to work with
https://github.com/he7d3r/mw-gadget-CrossWikiWatchlist
or
https://tools.wmflabs.org/crosswatch/

We should probably either just get rid of wikimediafoundation.org, or disable raw HTML, integrate it with SUL, and also move all staff mail and corp. services to that domain.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 16 2015, 9:59 PM
-jem- added a subscriber: -jem-.Aug 5 2015, 4:23 PM
Luke081515 triaged this task as Medium priority.Dec 9 2015, 8:40 AM
jrbs lowered the priority of this task from Medium to Low.May 3 2017, 11:47 PM
jrbs moved this task from Backlog to Other team on the Trust-and-Safety board.Jun 9 2017, 5:14 PM
demon added a subscriber: demon.Jan 30 2018, 7:10 AM

We should probably either just get rid of wikimediafoundation.org, or disable raw HTML, integrate it with SUL, and also move all staff mail and corp. services to that domain.

I'd love to move fishbowl wikis into SUL. There's no particular reason they don't need to be, and lowers administrative burden when a new user needs to be granted access (just give them groups as appropriate).

Could probably say the same thing for private, but maybe we shouldn't so as to avoid some zero-day we don't yet know of in CA and/or read permissions in core.

Varnent closed this task as Declined.Jul 31 2018, 6:20 PM
Varnent added a subscriber: Varnent.

No longer applies to new site.

demon added a comment.Jul 31 2018, 8:56 PM

Does it work for the old site that was moved now? If so I'd say retitle and call it fixed.

The repurposed site is getting several changes, but several of the notes here no longer apply as the scope has changed. That said, the overall concept requested here will eventually be addressed in other changes - but they are likely months away.